Main Page Modules Namespace List Data Structures File List Data Fields Examples

# Comment
[Node]

## Defines
#define | DOM_COMMENT DOM_NODE
## Functions
DOM_COMMENT * | domCommentNew (const char *comment)

## Detailed Description

Comment node manipulation.

## Define Documentation

#define DOM_COMMENT DOM_NODE

| Defines a DOM_COMMENT as a DOM_NODE. This gives us "inheritance" in C.

## Function Documentation

DOM_COMMENT* domCommentNew | ( | const char * | comment | ) |

  | Creates a new DOM comment with the provided comment text. Parameters:
  comment | [in] The text value for the comment.
Returns: The constructed DOM comment node.